Introduction

Welcome to WebMon

WebMon is a freeware web page monitoring program - it saves you time and keeps you updated by automatically checking web pages to see if they have changed.

Some of its features include:

  • Checking an unlimited number of web pages.
  • Scheduling automatic checking at set intervals.
  • Optional pop-up alerts and sounds when updates are found.
  • Selecting which part of the web page to check.
  • Update logging.
  • Proxy support, with authentication.
  • Unintrusive tray icon when minimised.
  • Importing IE favorites and Netscape bookmarks.
  • Help system - simply press F1 at any time.
  • Simple installation and removal.
  • Freeware, with no advertising or spyware.

To begin, start adding web pages.


Adding a new web page

Adding a new web page to the list of pages being checked can be achieved in a number of ways:

  • Click the "Add web page" button on the toolbar
  • Select the "Add new..." item from the "Page" menu
  • Right-click on an existing page and selecting the "Add new..." item.
  • The keyboard shortcut <CTRL>+N.

A window appears allowing you to enter the address of the web page you wish to monitor:

Enter an address (URL) and click "OK". If the web site requires a user name and password, specify them as follows:

http://username:password@www.example.com/example/index.html

If you're online and haven't disabled the "Download page after entering an address" options in the preferences, WebMon can download the page, fill in the description field with the page's title and check for Frameset tags (which could indicate that the page contains only layout information and no content).

The following window is shown:

Enter a description for the page (which will be shown in the list of pages on the main window). You can also change the description by selecting it in the list of web pages and pressing F2.

The interval between checks (to see if the page has been updated) can be set between 1 minute and 24 hours - either by dragging the slider, clicking the arrows at the far ends (to adjust the time by one minute) or clicking in the slider area (to adjust the time by 10 minutes).

By default, the whole page is checked for changes. If you only wish to check a subsection of the page, click the "Specify content to check..." button.

Press "OK" and the page will be added to the list.


Web page icons

Each web page has an associated icon, indicating its status:

- The page has been updated.

- The page has not been updated.

- An error occurred when the page was last checked.

- The page is currently being checked.

- The page has not been checked yet.

A web page can be marked as "Disabled", which means that it will not be automatically checked at the specified interval (it can still be checked manually). This is indicated by a red circle with a diagonal line:

- A disabled page

If an error has occurred, check the page's properties for more information.


Pop-up alerts

When an update is found, an pop-up alert can appear on the screen:

Click the pop-up to open the updated web page, right-click to close the pop-up without opening the web page.

If there appears to be many pop-up notifications, holding down the shift key while clicking will open all the queued pop-ups at once, while holding down shift when right-clicking will close all the pop-ups in the queue.

If the pop-up window is not appearing, check the Update preferences.


Checking a page's properties

Right-click on a web page and select "Properties" to bring up a window containing the page's properties:

The properties window consists of the following fields:

  • Description - Description of the web page as shown in the main window.
  • Address - The address, or URL, of the web page.
  • Status - The status of the web page. This will describe any errors encountered when the page was last checked.
  • Interval - The time between automatic checks.
  • Last checked - The date and time the web page was last checked for updates.
  • Check due - The date and time the web page is next due to be checked, based on the interval and when the page was last checked.
  • Checksum - A number calculated from the page's content - when the content changes, so does the checksum.
  • Start check and Stop check - text used in conjunction with checking only a part of the web page.


Modifying an existing page

Modifying a web page can be achieved in a number of ways:

  • Select a web page and click the "Modify web page" button on the toolbar
  • Select a web page and then select "Modify..." from the "Page" menu
  • Right-click on an existing page and select "Modify...".
  • Select a web page and use the keyboard shortcut <CTRL>+M.

The following window is shown:

Click the "Modify" button and a window appears allowing you to modify the address (URL) of the web page. Enter an address and click "OK". If the web site requires a user name and password, specify them as follows:

http://username:password@www.example.com/example/index.html

If you're online and haven't disabled the "Download page after entering an address" options in the preferences, WebMon can download the page, automatically fill in the description field with the page's title (if it's currently blank) and check for Frameset tags (which could indicate that the page contains only layout information and no content).

The web page's description (which will be shown in the list of pages on the main window) can be modified as required (You can also change the description by selecting it in the list of web pages and pressing F2).

The interval between checks (to see if the page has been updated) can be set between 1 minute and 24 hours - either by dragging the slider, clicking the arrows at the far ends (to adjust the time by one minute) or clicking in the slider area (to adjust the time by 10 minutes).

By default, the whole page is checked for changes. If you only wish to check a subsection of the page, click the "Specify content to check..." button.

Press "OK" and the page will be added to the list.


Deleting a web page

Select the web page you wish to delete.

You can select more than one page using the <Shift> key to select a range of pages, or <Ctrl> to select and deselect individual pages. Use <Ctrl>+A to select all pages.

You can delete the selected pages by either:

  • Clicking the "Delete" button on the toolbar
  • Selecting "Delete" from the "Page" menu
  • Right-clicking the selected page(s) and selecting "Delete"
  • Pressing the "Delete" button on the keyboard
  • Using the keyboard shortcut <CTRL>+D

A window will appear confirming you wish to delete the pages.


Checking only part of a web page

To specify which part of a web page to check, click the "Specify content to check" button on the Add page or Modify page window.

WebMon checks a subsection of the web page by looking for the first occurrence of the start text in the page's source code (displayed in the window). Text after the start text is checked for updates until the first occurrence of the stop text is found.

Specify where to start and stop checking at the top of the window:

The blue text between the "Start text" (coloured green) and "Stop text" (coloured red) is checked. The black text is not checked.

If the start or stop text is not found, the web page is greyed out and an error appears at the bottom of the window.

You can click the "Go to start text" and "Go to stop text" buttons to quickly jump to the relevant text in the web page.

"Copy selected text" copies the text selected in the web page to the relevant start or stop string.

Click the "Download page" button to download the web page and view the source code.

Click the "Find" button to search the web page for a particular text string. The search is not case-sensitive. The "Find next" button finds the next occurrence after the current cursor position.


Disabling web page checking

By default, web pages are automatically checked for updates at specified intervals. However, it is possible to configure a web page so that it only checked "on demand".

To enable and disable automatic checks, select the relevant web page(s).

You can select more than one page using the <Shift> key to select a range of pages, or <Ctrl> to select and deselect individual pages. Use <Ctrl>+A to select all pages.

Then either:

  • Click the "Toggle Disable/Enable" toolbar button.
  • Select "Toggle Disable/Enable" from the "Page" menu.
  • Right-click on the page and select "Toggle Disable/Enable".
  • Use the keyboard shortcut <CTRL>+T.

When a page is disabled a small circle with a diagonal stripe is shown at the bottom of its icon:

- Automatic checks disabled.

- Automatic checks enabled.


Manually checking a page

To manually check a page (or more than one page) for updates, select the relevant web page(s).

You can select more than one page using the <Shift> key to select a range of pages, or <Ctrl> to select and deselect individual pages. Use <Ctrl>+A to select all pages.

Then either:

  • Click the "Check selected web page(s)" toolbar button.
  • Select "Check for update" from the "Page" menu.
  • Right-click on the page and select "Check for update".
  • Use the keyboard shortcut F5.


Checking all web pages at once

To check all web pages either:

  • Click the "Check all web pages" button on the toolbar.
  • Select "Check all pages" from the "Page" menu.
  • Press the keyboard shortcut F6

Please note that pages that have been disabled will not be checked in a "Check all" operation. They can still be checked manually.


Cancelling a page's "new" icon

When a update is found, the page's icon is changed:

- Page updated.

- Page not updated.

When a page is marked as updated, its updated status can be reset by either:

  • Opening the page in a web browser by clicking on the pop-up window, double-clicking on the page or by right-clicking the page and selecting "Open".

  • Selecting the page and clicking the "Cancel 'new' status" toolbar item.
  • Selecting the page, then selecting "Cancel 'new' status" from the "Page" menu.
  • Selecting the page, then selecting "Cancel 'new' status" from the right-click menu.
  • Selecting the page and pressing <CTRL>+X.


Import and export

To import and export web pages, select "Import and export" from the "File" menu.

Select the operation required by clicking on the relevant radio button, then click "Next".

Export WebMon web pages

This option allows you to export your list of WebMon web pages - allowing you to back them up, or save them to a file to transfer to another computer.

The list of web pages is shown - select which pages are exported by ticking and clearing the checkboxes. You can also use the "Select all" and "Select none" buttons.

Click "Next", then press the "Browse" button or type in the location of the WebMon web pages file to export.

Click "Next" and the selected pages will be exported.

Import WebMon web pages

This option allows you to import your list of WebMon web pages from a file created using the "Export WebMon web pages" option.

Press the "Browse" button or type in the location of your WebMon web pages file to import.

Select the relevant radio button to specify if you want to append the imported pages to your existing pages or overwrite your existing pages with the imported pages.

Click "Next" and the list of web pages is shown - select which pages are imported by ticking and clearing the checkboxes. You can also use the "Select all" and "Select none" buttons.

Click "Next" and the selected pages will be imported.

Import favorites from Internet Explorer

This option allows you to import some or all of your Internet Explorer favorites.

The location of your favorites folder should be automatically identified - if not, locate it using the "Browse" button, or by editing the location text.

The interval between automatic checks (to see if the page has been updated) can be set between 1 minute and 24 hours - either by dragging the slider, clicking the arrows at the far ends (to adjust the time by one minute) or clicking in the slider area (to adjust the time by 10 minutes).

Click "Next" and the list of pages is shown - select which pages are imported by ticking and clearing the checkboxes. You can also use the "Select all" and "Select none" buttons.

Click "Next" and the selected favorites will be imported.

Import bookmarks from Netscape or Mozilla

This option allows you to import some or all of your Netscape or Mozilla bookmarks.

Press the "Browse" button or type in the location of your bookmarks file. In order to find your bookmarks file, click the Windows "Start" button, select "Search", select "For files or folders" and search for files called "bookmark*.htm*" (no quotes). Double-clicking the file to open it in your web browser will confirm you have found the correct file.

The interval between automatic checks (to see if the page has been updated) can be set between 1 minute and 24 hours - either by dragging the slider, clicking the arrows at the far ends (to adjust the time by one minute) or clicking in the slider area (to adjust the time by 10 minutes).

Click "Next" and the list of pages is shown - select which pages are imported by ticking and clearing the checkboxes. You can also use the "Select all" and "Select none" buttons.

Click "Next" and the selected bookmarks will be imported.


Preferences

To open the preferences window, select "Preferences" from the "Options" menu, or use the keyboard shortcut <CTRL>+P.

The preferences window is split into four tabs - click a link for more information:


Preferences: Update checking

Preferences: Update settings

Update checking Connection settings Visual settings Program settings

Pop-up alerts

Pop-up alerts can optionally appear, indicating when a page has been updated.

Pop-up windows can either automatically close after 8 seconds, or they can remain open until you close them.

Use the pull-down menu to select the position of the pop-up windows on your desktop.

Alert sound

As well as visual alerts, you can opt to play a sound when a page is updated.

Select either the default sound ("click-click") or a custom sound using the "Browse..." button.

Press the "Test sound" button to check the alert sound is correct.

Update logging

A log of updates can be kept. Use the "Browse..." button to select the log's filename.

Example log entry:

Description : Example web page
Address     : http://www.example.com/
Date & Time : 12th January 2002 16:26.03

Startup checking

WebMon can check all web pages automatically every day when starting - this works in the same way as manually clicking the Check all web pages button. Starting WebMon subsequently on the same day will not result in automatic checks.


Preferences: Connection settings

Update checking Connection settings Visual settings Program settings

Connection type

The Connection type setting is used in conjunction with the Online/offline settings:

  • You can elect to manually specify when online (using the "Work offline" option in the "File" menu, or use the keyboard shortcut F12). Use this option if you have an always-on connection to the Internet.

  • Alternatively, if you use dial-up networking, you can request that each time WebMon tries to automatically connect to the Internet (to check pages at a set interval) it should first check to see if your PC has a valid connection, if not WebMon should work in offline mode, not connecting unless specifically requested (e.g. by a manual check). This option is not available if dial-up networking is not installed.

By automatically checking dial-up networking, WebMon can remain running in the background when offline without trying to connect, but when online WebMon can automatically start checking pages.

Connection timeouts

Sometimes when a check is made, the web server may be slow or not available.

WebMon aborts trying to connect to a web server after the "Connection timeout" period.

WebMon also aborts during a download, if the "Transfer timeout" period passes without any data being received from the web server.

Proxy server configuration

WebMon supports connecting to the Internet through a proxy server.

Specify the server name and port number and, if required, your user name and password to authenticate with the proxy server

Note that the proxy username and password are stored unencrypted in the computer's registry.


Preferences: Visual settings

Update checking Connection settings Visual settings Program settings

Visual settings

You can hide the toolbar and status bar on the main window if desired.

The width of the "highlight" used in the web page list can either be to the full width of the list, or just the width of the description, if the description's width is shorter.

Web page list sorting

You can sort the list of web pages in the following ways:

  • Manually - Select an item in the list and use the < and > keys to move it up and down.
  • Alphabetically - The list is automatically sorted alphabetically.
  • By status - "Important" (i.e. updated) items move to the top of the list automatically - useful if you're monitoring a lot of web pages.


Preferences: Program settings

Update checking Connection settings Visual settings Program settings

Application settings

Run WebMon when windows starts

Ticking this box adds WebMon to the Startup group in the start menu. WebMon starts minimized in the system tray. If you uninstall WebMon and elect to remove your settings, the startup group item will be removed too.

Closing list of pages should minimize to the tray instead of closing application

When this box is ticked clicking on the Minimize or Close buttons of the main form minimizes WebMon to the tray (WebMon can be closed by right-clicking the tray icon and selecting Exit).

When this box is not ticked, clicking on the Minimize button minimizes WebMon to the tray, clicking on the Close button quits WebMon.

Open web pages in a new browser window

If this box is ticked, all web pages opened (e.g. by double-clicking a page in the list) will open in a new web browser window, preserving the contents of existing windows.

Automation settings

When online, automatically download after entering an address

After entering an address (either when adding or modifying a web page), WebMon can download the web page. This allows the description field to be automatically completed and the page will be checked for frameset tags - see below.

Check web pages for a frameset HTML tag when entering addresses

A frameset tag indicates that the page you are trying to check probably only contains layout information with pointers to a number of other web pages with content you'd probably want to check (unless you want to check when a page's frame layout changes, of course).

If you want to monitor the contents of a frame, right-click the frame in your browser, select "Properties" or "View frame info" (etc) and copy its address.

This feature requires you to be online and for the "When online, automatically download after entering an address" setting to be on (see above).

Automatically set a web page's description from its title

When an address is entered, the Description field can be automatically filled with the web page's title.

This feature requires you to be online and for the "When online, automatically download after entering an address" setting to be on (see above).

When online, automatically download when specifying the content to check

When you are online and click the Specify content to check button, WebMon can automatically download the web page's source code.

Automatically validate URLs without prompting

Unticking this box enables prompts when validating a web site address:

  • Checks the URL begins with http://
  • Removes any bookmarks from the URL, for example:
    http://www.example.com/index.htm#section2 becomes
    http://www.example.com/index.htm

Warnings and confirmations

Warn when WebMon is not shut down correctly

When WebMon is not shut down properly web pages that have been added may disappear and deleted pages reappear, updates may be flagged twice and modifications to preferences being lost.

When WebMon detects that it has not been shut down properly a warning will be displayed when it is next started - clear this checkbox to prevent this warning being shown.

Confirm web page deletions

Clearing this checkbox will disable the confirmation message when deleting web pages.


Online/offline settings

WebMon can work in offline mode, this means that "automatic" checks will not be made - useful to prevent requests to connect when you're working offline:

Connection | Online | Offline
Automatically checking a web page for updates after a set interval |  |
Manually checking a web page "on demand" |  |
Opening a web page in your browser when you double-click it |  |
Automatically downloading a web page after entering an address (URL) |  |
Automatically downloading a web page when specifying content to check |  |
Manually downloading a web page when requested on the "content to check" page |  |
Clicking on links on the "About" screen |  |

You can either manually specify when you're online and offline, or set WebMon to automatically check before each connection. Set this option in WebMon's Connection preferences, in the "Connection type" setting.


Privacy information

WebMon makes connections to the Internet depending on your online/offline settings. Please refer to the online/offline settings page to see a complete list of situations in which WebMon will make an Internet connection.

WebMon will only make connections to the web sites you specify when you add pages.

WebMon does not contain any advertising or "spyware".

WebMon sends its version number and the name of your operating system ("Windows 2000", "Windows ME" etc.) to a web server when making a check, in the same way your web browser does when you view a web page.

WebMon stores its preferences in the registry key HKEY_CURRENT_USER\Software\CM\WebMon.

The list of web pages is stored in a file called "WebPages.dat", located in the "WebMon" subfolder of the current user's "Application Data" directory (which is defined by Windows).

If WebMon is used on earlier versions of Windows without Internet Explorer, the "Application Data" folder is not available. In this case, WebMon uses the application's directory ("C:\Program Files\WebMon" etc) and all users share the same set of web pages.


Uninstalling and upgrading

Uninstalling

Before uninstalling WebMon, ensure that it is not running: right-click the icon in the tray and select Exit if necessary.

To uninstall:

  • Click the Windows "Start" button, select "Settings", then select "Control Panel".
  • Double-click "Add/Remove programs"
  • Select "WebMon" from the list and click the "Add/Remove" button.
  • If you're not planning to use WebMon again, click "Yes" to remove all your settings and the list of web pages being monitored, otherwise click "No".

Upgrading

To upgrade to a newer version of WebMon, ensure that WebMon is not running (Right-click on the icon in the system tray and select "Exit") and run the new installer. If WebMon is running when you upgrade, you will be prompted to reboot your computer in order to replace files that are in use.

It is not necessary to uninstall the previous version before upgrading.

IMPORTANT: Upgrading to a newer version may also change the format of the file containing the list of web pages. This means that the file in the new format may not work with previous versions if you choose to downgrade. If this is a problem, export your list of web pages or back up your "WebPages.dat" file before you upgrade.


Credits

WebMon was developed using the following programs:

  • Borland C++ Builder
  • Internet Component Suite
  • My Inno Setup Extensions, based on Inno Setup
  • Inno ScriptMaker
  • UPX
  • Microsoft HTML Help Workshop
  • Apache HTTP server

The following resources were used during development:

  • BCBDEV.com
  • Borland C++ Builder Commonly Asked Questions
  • The Bits tutorials
  • Borland community web site
  • Google newsgroups search engine